# List conversations

This endpoint returns conversations as JSON rows, e.g.,
[{"call_id":1,"rep_id":"kees500"},{"call_id":2,"rep_id":"cas501"},{"call_id":3,"rep_id":"kris502"}]
This is the default format for retrieving conversation-level data and attributes.

Endpoint: GET /calls
Version: 1.0.5
Security: ApiKeyAuth

## Query parameters:

  - `n_per_page` (integer)
    Number of conversations per page, default:10, max:1000000

  - `page` (integer)
    Page number, default:1

  - `start_date` (string)
    Filter by start_date e.g. 2025-07-15, default:null (unfiltered)

  - `end_date` (string)
    Filter by end_date e.g. 2025-07-15, default:null (unfiltered)

  - `after` (string)
    Filter by min conversation start_time e.g. 2025-07-15 12:00, default:null (unfiltered)

  - `before` (string)
    Filter by max conversation start_time e.g. 2025-07-15 12:00, default:null (unfiltered)

  - `metric` (string)
    Metric to calculate. Behavioral conversation metrics from Converz or metrics attached per conversation in app or via calls POST.

  - `rep_id` (array)
    Filter on one or more rep_id values, default:null (unfiltered)

  - `vendor` (array)
    Filter on one or more vendor values, default:null (unfiltered)

  - `campaign` (array)
    Filter on one or more campaign values, default:null (unfiltered)

  - `subcampaign` (array)
    Filter on one or more subcampaign values, default:null (unfiltered)

  - `department` (array)
    Filter on one or more department values, default:null (unfiltered)

  - `vendor_call_id` (string)
    Filter by specific vendor call id(s), e.g., 5a9fdc24-685d-42d9-9862-4dbdb52f51e9, default:null (unfiltered)

  - `columns` (string)
    Include only specific columns in the result, default:null (unfiltered)

## Response 400 fields (application/json):

  - `error` (string)
    Error message

  - `code` (string)
    Error code

## Response 401 fields (application/json):

  - `error` (string)
    Error message

  - `code` (string)
    Error code


